Subject: RE: How to clear the screen with bash ?
From: [email-masked] (Howarth, Richard)

3 Jul 1998 21:47:30 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed;
	boundary="---- =_NextPart_000_01BDA684.571D6500"
To: [email-masked]

This message is in MIME format. Since your mail reader does not understand
this format, some or all of this message may not be legible.

------ =_NextPart_000_01BDA684.571D6500
Content-Type: text/plain

I've just had a play using bash on Linux, and if it works the same way
then "^L" only works for me if I have emacs style editing switched on
("set -o emacs").  I'm more comfortable with vi commands so use "set -o
vi", in which case "^L" only clears the screen if I first escape to
command mode.

I think the "^L" in this case is working like the refresh screen would
in the editor, so that if you are part way through a command and type
"^L" the command is redisplayed as well as the screen being cleared.

> -----Original Message-----
> From: Sergey Okhapkin [mailto:[email-masked]]
> Sent: 02 July 1998 20:22
> To: [email-masked]; 'Michael Hirmke'
> Subject: RE: How to clear the screen with bash ?
> 
> 
> Michael Hirmke wrote:
> > >> MIKE-[/home/mh]_$^L
> > >> bash.exe: Got 12
> > >> : command not found
> > >>
> > >> >
> > >
> > >1. You TERM variable is not set to "linux".
> > >2. Missing /etc/termcap with linux terminal description.
> >
> > Neither nor.
> > I have TERM=linux and an appropriate /etc/termcap.
> >
> 
> Really strange... "Stock" b19 bash, any B19 dll, /etc/termcap from 
> termcap-1.3 (just tried with b19 termcap) - single ctrl-l 
> (without CR) 
> clears the screen. NTS 4.0. "tty" setting doesn't matter.
> 
> --
> Sergey Okhapkin, http://www.lexa.ru/sos
> Moscow, Russia
> 
> 
> -
> For help on using this list (especially unsubscribing), send 
> a message to
> "[email-masked]" with one line of text: "help".
> 

------ =_NextPart_000_01BDA684.571D6500
Content-Type: application/ms-tnef
Content-Transfer-Encoding: base64

------ =_NextPart_000_01BDA684.571D6500--
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".